<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Concept Index</TITLE>
<link href="suifmath_36.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_36.html">previous</A>, next, last section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC41" HREF="suifmath_toc.html#TOC41">Concept Index</A></H1>
<P>
<H2>a</H2>
<DIR>
<LI><A HREF="suifmath_18.html#IDX432">access_vector</A>
<LI><A HREF="suifmath_5.html#IDX98">add</A>, <A HREF="suifmath_5.html#IDX104">add</A>, <A HREF="suifmath_5.html#IDX110">add</A>, <A HREF="suifmath_5.html#IDX118">add</A>, <A HREF="suifmath_8.html#IDX168">add</A>, <A HREF="suifmath_8.html#IDX174">add</A>, <A HREF="suifmath_8.html#IDX180">add</A>, <A HREF="suifmath_8.html#IDX188">add</A>, <A HREF="suifmath_14.html#IDX290">add</A>, <A HREF="suifmath_14.html#IDX296">add</A>, <A HREF="suifmath_14.html#IDX302">add</A>, <A HREF="suifmath_14.html#IDX310">add</A>
<LI><A HREF="suifmath_4.html#IDX85">add, row/column</A>
<LI><A HREF="suifmath_19.html#IDX447">an implementation of include_for()</A>
<LI><A HREF="suifmath_13.html#IDX271">An Inequality</A>
<LI><A HREF="suifmath_4.html#IDX49">annotations</A>, <A HREF="suifmath_18.html#IDX439">annotations</A>
<LI><A HREF="suifmath_18.html#IDX430">array access functions</A>
<LI><A HREF="suifmath_16.html#IDX343">array dimensions</A>
<LI><A HREF="suifmath_18.html#IDX431">array_info</A>
<LI><A HREF="suifmath_16.html#IDX347">auxiliary variable</A>
</DIR>
<H2>b</H2>
<DIR>
<LI><A HREF="suifmath_5.html#IDX96">boolean</A>, <A HREF="suifmath_8.html#IDX166">boolean</A>, <A HREF="suifmath_11.html#IDX237">boolean</A>, <A HREF="suifmath_14.html#IDX288">boolean</A>
<LI><A HREF="suifmath_18.html#IDX421">branch-and-bound</A>
</DIR>
<H2>c</H2>
<DIR>
<LI><A HREF="suifmath_10.html#IDX215">coeff</A>
<LI><A HREF="suifmath_34.html#IDX557">column space</A>
<LI><A HREF="suifmath_3.html#IDX29">columns, number of</A>
<LI><A HREF="suifmath_2.html#IDX15">compile</A>
<LI><A HREF="suifmath_4.html#IDX52">compose a matrix</A>
<LI><A HREF="suifmath_4.html#IDX50">Compose a matrix</A>
<LI><A HREF="suifmath_16.html#IDX339">conditional variables</A>
<LI><A HREF="suifmath_12.html#IDX263">constraint</A>, <A HREF="suifmath_12.html#IDX266">constraint</A>
<LI><A HREF="suifmath_13.html#IDX272">constraint constructors</A>
<LI><A HREF="suifmath_13.html#IDX269">Constraint manipulation</A>
<LI><A HREF="suifmath_14.html#IDX282">Constraint math</A>
<LI><A HREF="suifmath_9.html#IDX200">constraints</A>
<LI><A HREF="suifmath_7.html#IDX139">constructors, a single row</A>
<LI><A HREF="suifmath_4.html#IDX33">constructors, matrices</A>
<LI><A HREF="suifmath_13.html#IDX273">constructors, Single Inequality</A>
<LI><A HREF="suifmath_11.html#IDX240">contained?</A>
<LI><A HREF="suifmath_10.html#IDX206">creation, linear inequalities</A>
</DIR>
<H2>d</H2>
<DIR>
<LI><A HREF="suifmath_2.html#IDX14">DECstation</A>
<LI><A HREF="suifmath_6.html#IDX135">del_columns</A>
<LI><A HREF="suifmath_4.html#IDX61">deleting a column of a matrix</A>
<LI><A HREF="suifmath_7.html#IDX151">deleting a column of a row</A>
<LI><A HREF="suifmath_4.html#IDX58">deleting a row of a matrix</A>
<LI><A HREF="suifmath_4.html#IDX64">deleting many of columns</A>
<LI><A HREF="suifmath_2.html#IDX6">dependence.h</A>
<LI><A HREF="suifmath_5.html#IDX116">divide</A>, <A HREF="suifmath_5.html#IDX124">divide</A>, <A HREF="suifmath_8.html#IDX186">divide</A>, <A HREF="suifmath_8.html#IDX194">divide</A>, <A HREF="suifmath_14.html#IDX308">divide</A>, <A HREF="suifmath_14.html#IDX316">divide</A>
</DIR>
<H2>e</H2>
<DIR>
<LI><A HREF="suifmath_11.html#IDX234">elimination, fourier-motzkin</A>
<LI><A HREF="suifmath_9.html#IDX199">equalities</A>
<LI><A HREF="suifmath_19.html#IDX446">Example: an implementation of include_for()</A>
<LI><A HREF="suifmath_20.html#IDX449">Example: loop tiling</A>
</DIR>
<H2>f</H2>
<DIR>
<LI><A HREF="suifmath_10.html#IDX220">FILE *</A>
<LI><A HREF="suifmath_10.html#IDX225">file input</A>
<LI><A HREF="suifmath_6.html#IDX133">filter</A>
<LI><A HREF="suifmath_18.html#IDX415">Fourier-Motzkin</A>, <A HREF="suifmath_18.html#IDX418">Fourier-Motzkin</A>, <A HREF="suifmath_18.html#IDX420">Fourier-Motzkin</A>
<LI><A HREF="suifmath_11.html#IDX233">fourier-motzkin elimination</A>
<LI><A HREF="suifmath_31.html#IDX514">fract_matrix</A>
<LI><A HREF="suifmath_23.html#IDX452">fract_vector</A>
<LI><A HREF="suifmath_27.html#IDX490">fract_vector_list</A>
</DIR>
<H2>g</H2>
<DIR>
<LI><A HREF="suifmath_2.html#IDX7">g++</A>
<LI><A HREF="suifmath_11.html#IDX244">gcd</A>, <A HREF="suifmath_11.html#IDX247">gcd</A>, <A HREF="suifmath_14.html#IDX322">gcd</A>
<LI><A HREF="suifmath_2.html#IDX8">GNU</A>
</DIR>
<H2>i</H2>
<DIR>
<LI><A HREF="suifmath_4.html#IDX56">identity matrix</A>
<LI><A HREF="suifmath_4.html#IDX48">immed</A>
<LI><A HREF="suifmath_4.html#IDX47">immed_list</A>
<LI><A HREF="suifmath_2.html#IDX16">include files</A>
<LI><A HREF="suifmath_19.html#IDX448">include_for()</A>
<LI><A HREF="suifmath_9.html#IDX196">inequalities, linear</A>
<LI><A HREF="suifmath_10.html#IDX204">inequality creating</A>
<LI><A HREF="suifmath_10.html#IDX201">inequality manipulation</A>
<LI><A HREF="suifmath_11.html#IDX229">inequality math</A>
<LI><A HREF="suifmath_10.html#IDX226">input, from a file</A>
<LI><A HREF="suifmath_4.html#IDX66">inserting a column</A>
<LI><A HREF="suifmath_7.html#IDX158">inserting an element</A>
<LI><A HREF="suifmath_18.html#IDX422">integer solution</A>
<LI><A HREF="suifmath_3.html#IDX21">integer_matrix</A>
<LI><A HREF="suifmath_3.html#IDX22">integer_row</A>, <A HREF="suifmath_6.html#IDX130">integer_row</A>, <A HREF="suifmath_12.html#IDX267">integer_row</A>
<LI><A HREF="suifmath_18.html#IDX426">is contained</A>
</DIR>
<H2>k</H2>
<DIR>
<LI><A HREF="suifmath_34.html#IDX558">kernel</A>
</DIR>
<H2>l</H2>
<DIR>
<LI><A HREF="suifmath_11.html#IDX242">lcm</A>, <A HREF="suifmath_14.html#IDX320">lcm</A>
<LI><A HREF="suifmath_2.html#IDX11">libdependence.a</A>
<LI><A HREF="suifmath_2.html#IDX9">libsuif.a</A>
<LI><A HREF="suifmath_2.html#IDX10">libsuifmath.a</A>, <A HREF="suifmath_3.html#IDX20">libsuifmath.a</A>
<LI><A HREF="suifmath_12.html#IDX268">lin_ineq</A>
<LI><A HREF="suifmath_9.html#IDX195">linear inequalities</A>
<LI><A HREF="suifmath_15.html#IDX327">linear inequalities with names</A>
<LI><A HREF="suifmath_9.html#IDX198">linear inequalities, set of</A>
<LI><A HREF="suifmath_10.html#IDX205">linear inequality creation</A>
<LI><A HREF="suifmath_10.html#IDX202">linear inequality manipulation</A>
<LI><A HREF="suifmath_11.html#IDX230">linear inequality math</A>
<LI><A HREF="suifmath_2.html#IDX17">link</A>
<LI><A HREF="suifmath_18.html#IDX429">loop bounds</A>
<LI><A HREF="suifmath_16.html#IDX341">loop index variables</A>
<LI><A HREF="suifmath_20.html#IDX450">loop tiling</A>
<LI><A HREF="suifmath_34.html#IDX544">LU Decomposition</A>
</DIR>
<H2>m</H2>
<DIR>
<LI><A HREF="suifmath_7.html#IDX137">manipulation, a single row</A>
<LI><A HREF="suifmath_10.html#IDX203">manipulation, linear inequalities</A>
<LI><A HREF="suifmath_4.html#IDX31">manipulation, matrices</A>
<LI><A HREF="suifmath_13.html#IDX270">manipulation, single inequality inequality</A>
<LI><A HREF="suifmath_14.html#IDX283">math, A single inequality</A>
<LI><A HREF="suifmath_8.html#IDX161">math, a single row</A>
<LI><A HREF="suifmath_11.html#IDX231">math, linear inequalities</A>
<LI><A HREF="suifmath_5.html#IDX91">math, matrices</A>
<LI><A HREF="suifmath_31.html#IDX516">matrices, for linear algebra</A>
<LI><A HREF="suifmath_31.html#IDX517">matrices, fractional elements</A>
<LI><A HREF="suifmath_31.html#IDX513">matrix</A>, <A HREF="suifmath_31.html#IDX515">matrix</A>
<LI><A HREF="suifmath_4.html#IDX32">matrix constructors</A>
<LI><A HREF="suifmath_3.html#IDX18">Matrix Library</A>
<LI><A HREF="suifmath_4.html#IDX30">matrix manipulation</A>
<LI><A HREF="suifmath_5.html#IDX90">matrix math</A>
<LI><A HREF="suifmath_4.html#IDX78">merging</A>
<LI><A HREF="suifmath_2.html#IDX12">MIPSEL</A>
<LI><A HREF="suifmath_5.html#IDX102">multiply</A>, <A HREF="suifmath_5.html#IDX108">multiply</A>, <A HREF="suifmath_5.html#IDX114">multiply</A>, <A HREF="suifmath_5.html#IDX122">multiply</A>, <A HREF="suifmath_8.html#IDX172">multiply</A>, <A HREF="suifmath_8.html#IDX178">multiply</A>, <A HREF="suifmath_8.html#IDX184">multiply</A>, <A HREF="suifmath_8.html#IDX192">multiply</A>, <A HREF="suifmath_14.html#IDX294">multiply</A>, <A HREF="suifmath_14.html#IDX300">multiply</A>, <A HREF="suifmath_14.html#IDX306">multiply</A>, <A HREF="suifmath_14.html#IDX314">multiply</A>
</DIR>
<H2>n</H2>
<DIR>
<LI><A HREF="suifmath_17.html#IDX370">name table</A>
<LI><A HREF="suifmath_16.html#IDX332">name table entry</A>
<LI><A HREF="suifmath_15.html#IDX330">name_table</A>, <A HREF="suifmath_17.html#IDX371">name_table</A>
<LI><A HREF="suifmath_15.html#IDX331">name_table_entry</A>
<LI><A HREF="suifmath_16.html#IDX333">name_table_entry_kind</A>
<LI><A HREF="suifmath_15.html#IDX328">named linear inequalities</A>
<LI><A HREF="suifmath_18.html#IDX391">named linear inequality</A>
<LI><A HREF="suifmath_15.html#IDX329">named_lin_ineq</A>, <A HREF="suifmath_18.html#IDX392">named_lin_ineq</A>
<LI><A HREF="suifmath_4.html#IDX55">NIM</A>
<LI><A HREF="suifmath_16.html#IDX346">nte_aux</A>
<LI><A HREF="suifmath_16.html#IDX338">nte_cond</A>
<LI><A HREF="suifmath_16.html#IDX342">nte_dim</A>
<LI><A HREF="suifmath_16.html#IDX340">nte_loop</A>
<LI><A HREF="suifmath_16.html#IDX334">nte_none</A>
<LI><A HREF="suifmath_16.html#IDX344">nte_summary</A>
<LI><A HREF="suifmath_16.html#IDX336">nte_symconst</A>
<LI><A HREF="suifmath_34.html#IDX559">null space</A>
<LI><A HREF="suifmath_3.html#IDX28">number of columns</A>
<LI><A HREF="suifmath_3.html#IDX26">number of rows</A>
</DIR>
<H2>o</H2>
<DIR>
<LI><A HREF="suifmath_14.html#IDX326">order, highest</A>
<LI><A HREF="suifmath_1.html#IDX1">overview</A>
</DIR>
<H2>p</H2>
<DIR>
<LI><A HREF="suifmath_34.html#IDX562">particular solution</A>
<LI><A HREF="suifmath_4.html#IDX83">permutation matrices</A>
<LI><A HREF="suifmath_4.html#IDX73">permuting rows</A>
<LI><A HREF="suifmath_34.html#IDX547">pivot column</A>
<LI><A HREF="suifmath_1.html#IDX2">preface</A>
<LI><A HREF="suifmath_25.html#IDX478">projection</A>
</DIR>
<H2>r</H2>
<DIR>
<LI><A HREF="suifmath_34.html#IDX556">range, of a matrix</A>
<LI><A HREF="suifmath_11.html#IDX258">rank</A>
<LI><A HREF="suifmath_34.html#IDX550">rank, column</A>
<LI><A HREF="suifmath_34.html#IDX548">rank, of a matrix</A>
<LI><A HREF="suifmath_34.html#IDX549">rank, row</A>
<LI><A HREF="suifmath_11.html#IDX253">repetitions</A>
<LI><A HREF="suifmath_4.html#IDX75">resizing a matrix</A>
<LI><A HREF="suifmath_7.html#IDX138">row constructors</A>
<LI><A HREF="suifmath_7.html#IDX136">row manipulation</A>
<LI><A HREF="suifmath_8.html#IDX160">row math</A>
<LI><A HREF="suifmath_3.html#IDX27">rows, number of</A>
</DIR>
<H2>s</H2>
<DIR>
<LI><A HREF="suifmath_9.html#IDX197">set of linear inequalities</A>
<LI><A HREF="suifmath_11.html#IDX255">shadow</A>
<LI><A HREF="suifmath_6.html#IDX134">shuffle</A>
<LI><A HREF="suifmath_12.html#IDX262">single inequality</A>
<LI><A HREF="suifmath_6.html#IDX129">single row</A>
<LI><A HREF="suifmath_2.html#IDX13">SPARC</A>
<LI><A HREF="suifmath_5.html#IDX100">subtract</A>, <A HREF="suifmath_5.html#IDX106">subtract</A>, <A HREF="suifmath_5.html#IDX112">subtract</A>, <A HREF="suifmath_5.html#IDX120">subtract</A>, <A HREF="suifmath_8.html#IDX170">subtract</A>, <A HREF="suifmath_8.html#IDX176">subtract</A>, <A HREF="suifmath_8.html#IDX182">subtract</A>, <A HREF="suifmath_8.html#IDX190">subtract</A>, <A HREF="suifmath_14.html#IDX292">subtract</A>, <A HREF="suifmath_14.html#IDX298">subtract</A>, <A HREF="suifmath_14.html#IDX304">subtract</A>, <A HREF="suifmath_14.html#IDX312">subtract</A>
<LI><A HREF="suifmath_1.html#IDX3">SUIF</A>
<LI><A HREF="suifmath_2.html#IDX4">suif1.h</A>
<LI><A HREF="suifmath_2.html#IDX5">suifmath.h</A>, <A HREF="suifmath_3.html#IDX19">suifmath.h</A>
<LI><A HREF="suifmath_16.html#IDX345">summary variable</A>
<LI><A HREF="suifmath_4.html#IDX71">swapping columns</A>
<LI><A HREF="suifmath_7.html#IDX156">swapping elements</A>
<LI><A HREF="suifmath_4.html#IDX68">swapping rows</A>, <A HREF="suifmath_7.html#IDX154">swapping rows</A>
<LI><A HREF="suifmath_4.html#IDX84">switch, row/column</A>
<LI><A HREF="suifmath_16.html#IDX335">symbolic constants</A>, <A HREF="suifmath_16.html#IDX337">symbolic constants</A>
</DIR>
<H2>t</H2>
<DIR>
<LI><A HREF="suifmath_18.html#IDX445">tree_for</A>
<LI><A HREF="suifmath_18.html#IDX434">tree_if</A>
</DIR>
<H2>u</H2>
<DIR>
<LI><A HREF="suifmath_11.html#IDX251">unused variables</A>
</DIR>
<H2>v</H2>
<DIR>
<LI><A HREF="suifmath_16.html#IDX358">var_sym</A>
<LI><A HREF="suifmath_27.html#IDX488">vector spaces</A>
<LI><A HREF="suifmath_27.html#IDX489">vector_space</A>
<LI><A HREF="suifmath_23.html#IDX451">vectors</A>
</DIR>
<H2>z</H2>
<DIR>
<LI><A HREF="suifmath_11.html#IDX249">zeros</A>
</DIR>

</P>
<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_36.html">previous</A>, next, last section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
